package com.mcwl.web.controller.resource;

import com.mcwl.common.core.domain.AjaxResult;
import com.mcwl.resource.domain.ModelComment;
import com.mcwl.resource.service.ModelCommentLikeService;
import com.mcwl.resource.service.ModelCommentService;
import com.mcwl.resource.service.ModelLikeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * @Author：ChenYan
 * @Project：McWl
 * @Package：com.mcwl.web.controller.resource
 * @Filename：ModelCommentcontroller
 * @Description TODO
 * @Date：2025/1/12 11:36
 */
@RequestMapping("/ModelComment")
@RestController
public class ModelCommentController {

    @Autowired
    private  ModelLikeService modelLikeService;
    @Autowired
    private  ModelCommentService modelCommentService;
    @Autowired
    private  ModelCommentLikeService modelCommentLikeService;

    /**
     * 模型点赞/取消
     */
    @GetMapping("/imageLike/{imageId}")
    public AjaxResult like(@PathVariable Long imageId) {
        modelLikeService.like(imageId);
        return AjaxResult.success();
    }


    /**
     * 模型评论发布
     */
    @PostMapping("/comment")
    public AjaxResult comment(@RequestBody ModelComment modelComment) {
        modelCommentService.comment(modelComment);
        return AjaxResult.success();
    }

    /**
     * 模型评论点赞/取消
     */
    @GetMapping("/commentLike/{commentId}")
    public AjaxResult commentLike(@PathVariable Long commentId) {
        modelCommentLikeService.like(commentId);
        return AjaxResult.error();
    }







}
