package com.mcwl.resource.service.impl;

import cn.hutool.core.bean.BeanUtil;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.mcwl.common.utils.SecurityUtils;
import com.mcwl.resource.domain.ModelComment;
import com.mcwl.resource.domain.ModelImageComment;
import com.mcwl.resource.domain.dto.ModelImageCommentRes;
import com.mcwl.resource.mapper.ModelCommentMapper;
import com.mcwl.resource.mapper.ModelImageCommentMapper;
import com.mcwl.resource.mapper.ModelImageMapper;
import com.mcwl.resource.service.ModelCommentService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.Objects;

/**
 * @Author：ChenYan
 * @Project：McWl
 * @Package：com.mcwl.resource.service.impl
 * @Filename：ModelCommentServiceImpl
 * @Description TODO
 * @Date：2025/1/12 12:03
 */
@Service
public class ModelCommentServiceImpl extends ServiceImpl<ModelCommentMapper, ModelComment> implements ModelCommentService {

    @Autowired
    private  ModelCommentMapper modelCommentMapper;

    @Autowired
    private ModelImageMapper modelImageMapper;

    @Override
    public void comment(ModelComment modelComment) {
        Long parentId = modelComment.getParentId();
        ModelComment mic = modelCommentMapper.selectById(parentId);

        if (Objects.nonNull(parentId) && Objects.isNull(mic)) {
            return;
        }
        modelComment.setUserId(SecurityUtils.getUserId());
        modelComment.setCreateBy(SecurityUtils.getUsername());
        modelComment.setUpdateBy(SecurityUtils.getUsername());
        modelComment.setUpdateTime(new Date());
        modelCommentMapper.insert(modelComment);

    }
}
